; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BEGRUESSUNG_2:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_TAKT_KURZ
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_KONFIGURATION:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_KONFIGURATION*2)	; TEXT 
	ldi ZL,  low(TEXT_KONFIGURATION*2)
	rcall ANZEIGE_TEXT
	; ZEILE2			
	rcall LCD_ZEILE2
	; INVERTIERMODUS	
	ldi temp,'I'
	rcall LCD_DATA
	ldi temp,'N'
	rcall LCD_DATA
	ldi temp,'V'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	LDS temp1,(adr_DCF_INVERTIERMODUS)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; PULL-UP		
	ldi temp,'P'
	rcall LCD_DATA
	ldi temp,'U'
	rcall LCD_DATA
	ldi temp,'L'
	rcall LCD_DATA
	ldi temp,'L'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	LDS temp1,(adr_DCF_PULL_UP)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_UHR:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_ZEIT_KURZ
	rcall ANZEIGE_DCF_GUELTIG_KURZ	
	rcall ANZEIGE_MESZ_KURZ
	rcall LCD_SPACE
	; DCF-ZEIGER
	LDS temp1, (adr_DCF_ZEIGER)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_DATUM_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_WOCHENTAG_KURZ
	rcall LCD_SPACE
	; DCF PHASE		
	ldi temp,'P'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_IMPULS_PHASE)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WARTUNG:
	; ZEILE1			
	rcall LCD_CLEAR
	; DCF-ZEIGER		
	ldi temp,'Z'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_ZEIGER)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; DCF SAMPLES A+B	
	ldi temp,'S'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_SAMPLES_A)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_SAMPLES_B)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; DCF-BIT		
	ldi temp,'B'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_BIT)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE

	; DCF PHASE		
	ldi temp,'P'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_IMPULS_PHASE)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1



;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	; ERORR-CODE	
	ldi temp,'E'
	rcall LCD_DATA
	LDS temp1, (adr_DCF_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; KALENDERTAG	
	ldi temp,'d'
	rcall LCD_DATA
	LDS temp1, (adr_KALENDERTAG_L)
	LDS temp2, (adr_KALENDERTAG_H)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1_TEMP2
	rcall LCD_SPACE
	rcall LCD_SPACE
	; TIMER			
	ldi temp,'T'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_PHASE_TIMER)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WARTUNG_SRAM:
	; ZEILE1			
	rcall LCD_CLEAR
	ldi temp,'S'
	rcall LCD_DATA
	ldi temp,'R'
	rcall LCD_DATA
	ldi temp,'A'
	rcall LCD_DATA
	ldi temp,'M'
	rcall LCD_DATA
	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp1,(adr_DCF_BEREICH+50) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+51) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+52) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+53) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+54) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+55) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+56) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+57) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+58) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_ONLINE_OFFLINE:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_DCF_ONLINE_KURZ
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_DCF_OFFLINE_KURZ

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SONNE:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp, 'A'		; 
	rcall LCD_DATA
	ldi temp, 'U'		; 
	rcall LCD_DATA
	ldi temp, 'F'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_SONNE_AUFGANG_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_SONNE_AUFGANG_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp, 'U'		; 
	rcall LCD_DATA
	ldi temp, 'N'		; 
	rcall LCD_DATA
	ldi temp, 'T'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_SONNE_UNTERGANG_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_SONNE_UNTERGANG_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BETRIEBSSTUNDEN:
	; ZEILE1	
	rcall LCD_CLEAR
	; TAG		
	LDS temp1,(adr_BS_TAG_L)
	LDS temp2,(adr_BS_TAG_H)
	rcall ANZEIGE_5_STELLEN_HEX_ASC_TEMP1_TEMP2		
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_BS_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT

	; mm		
	LDS temp1,(adr_BS_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_DOPPEL_PUNKT
	; ss		
	LDS temp1,(adr_BS_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
