; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ZEIT_KURZ:
	; hh		
	LDS temp1,(adr_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_DOPPEL_PUNKT
	; ss		
	LDS temp1,(adr_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DATUM_KURZ:
	; TAG		
	LDS temp1,(adr_TAG)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_PUNKT
	; MONAT		
	LDS temp1,(adr_MONAT)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1		
	rcall LCD_PUNKT
	; JAHR		
	LDS temp1,(adr_JAHR)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_GUELTIG_KURZ:
	LDS temp, (adr_DCF_GUELTIG)
	tst temp
	breq ANZEIGE_DCF_GUELTIG_NO
ANZEIGE_DCF_GUELTIG:
	ldi temp,' '
	rcall LCD_DATA
	ret
ANZEIGE_DCF_GUELTIG_NO:
	ldi temp,'?'
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WOCHENTAG_KURZ:
	LDS temp,(adr_WOCHENTAG)
	cpi temp,1
	breq ANZEIGE_WOCHENTAG_MO
	cpi temp,2
	breq ANZEIGE_WOCHENTAG_DI
	cpi temp,3
	breq ANZEIGE_WOCHENTAG_MI
	cpi temp,4
	breq ANZEIGE_WOCHENTAG_DO
	cpi temp,5
	breq ANZEIGE_WOCHENTAG_FR
	cpi temp,6
	breq ANZEIGE_WOCHENTAG_SA
	cpi temp,7
	breq ANZEIGE_WOCHENTAG_SO
	ldi temp,'?'
	rcall LCD_DATA
	ldi temp,'?'
	rcall LCD_DATA
	ret
ANZEIGE_WOCHENTAG_MO:
	ldi temp,'M'
	rcall LCD_DATA
	ldi temp,'o'
	rcall LCD_DATA
	ret
ANZEIGE_WOCHENTAG_DI:
	ldi temp,'D'
	rcall LCD_DATA
	ldi temp,'i'
	rcall LCD_DATA
	ret
ANZEIGE_WOCHENTAG_MI:
	ldi temp,'M'
	rcall LCD_DATA
	ldi temp,'i'
	rcall LCD_DATA
	ret
ANZEIGE_WOCHENTAG_DO:
	ldi temp,'D'
	rcall LCD_DATA
	ldi temp,'o'
	rcall LCD_DATA
	ret
ANZEIGE_WOCHENTAG_FR:
	ldi temp,'F'
	rcall LCD_DATA
	ldi temp,'r'
	rcall LCD_DATA
	ret
ANZEIGE_WOCHENTAG_SA:
	ldi temp,'S'
	rcall LCD_DATA
	ldi temp,'a'
	rcall LCD_DATA
	ret
ANZEIGE_WOCHENTAG_SO:
	ldi temp,'S'
	rcall LCD_DATA
	ldi temp,'o'
	rcall LCD_DATA
	ret
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_MESZ_KURZ:
	LDS temp,(adr_MESZ)
	tst temp
	brne ANZEIGE_MESZ 
ANZEIGE_MEZ:
	ldi temp,'M'
	rcall LCD_DATA
	ldi temp,'E'
	rcall LCD_DATA
	ldi temp,'Z'
	rcall LCD_DATA
	rcall LCD_SPACE
	ret
ANZEIGE_MESZ:
	ldi temp,'M'
	rcall LCD_DATA
	ldi temp,'E'
	rcall LCD_DATA
	ldi temp,'S'
	rcall LCD_DATA
	ldi temp,'Z'
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TAKT_KURZ:
	ldi temp1,BYTE1(TAKT)
	ldi temp2,BYTE2(TAKT)
	ldi temp3,BYTE3(TAKT)
	ldi temp4,BYTE4(TAKT)
	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_FORMAT
	rcall LCD_AUSGABE_ZAHL_9_STELLEN_KURZ
	rcall LCD_SPACE
	ldi temp,'M'
	rcall LCD_DATA
	ldi temp,'H'
	rcall LCD_DATA
	ldi temp,'z'
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SRAM_END_KURZ:
	ldi temp1,BYTE1(RAMEND)
	ldi temp2,BYTE2(RAMEND)
	ldi temp3,BYTE3(RAMEND)
	ldi temp4,BYTE4(RAMEND)
	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_FORMAT
	rcall LCD_AUSGABE_ZAHL_9_STELLEN_KURZ
	rcall LCD_SPACE
	ldi temp,'S'
	rcall LCD_DATA
	ldi temp,'R'
	rcall LCD_DATA
	ldi temp,'A'
	rcall LCD_DATA
	ldi temp,'M'
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_ONLINE_KURZ:
	ldi temp,'O'
	rcall LCD_DATA
	ldi temp,'N'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; TAG		
	LDS temp1,(adr_DCF_ONLINE_TAG)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	; MONAT		
	LDS temp1,(adr_DCF_ONLINE_MONAT)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1		
	; JAHR		
	LDS temp1,(adr_DCF_ONLINE_JAHR)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; hh		
	LDS temp1,(adr_DCF_ONLINE_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_DCF_ONLINE_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_OFFLINE_KURZ:
	ldi temp,'O'
	rcall LCD_DATA
	ldi temp,'F'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; TAG		
	LDS temp1,(adr_DCF_OFFLINE_TAG)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	; MONAT		
	LDS temp1,(adr_DCF_OFFLINE_MONAT)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1		
	; JAHR		
	LDS temp1,(adr_DCF_OFFLINE_JAHR)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; hh		
	LDS temp1,(adr_DCF_OFFLINE_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_DCF_OFFLINE_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_1_STELLEN_HEX_ASC_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_1_STELLEN_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_2_STELLEN_HEX_ASC_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_3_STELLEN_HEX_ASC_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_3_STELLEN_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_3_STELLEN_HEX_ASC_TEMP1_TEMP2:
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_3_STELLEN_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2																	
ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2:
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_4_STELLEN_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2																	
ANZEIGE_5_STELLEN_HEX_ASC_TEMP1_TEMP2:
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_5_STELLEN_KURZ
ret
;######################################################################## 	
;######################################################################## 	
;######################################################################## 	
; INPUT: TEMP1...TEMP9 (temp)												
LCD_AUSGABE_ZAHL_10_STELLEN_KURZ:
	; temp !
	rcall LCD_DATA			; 10.ZEICHEN 	
LCD_AUSGABE_ZAHL_9_STELLEN_KURZ:
	mov temp, temp9			; 9.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_8_STELLEN_KURZ:
	mov temp, temp8			; 8.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_7_STELLEN_KURZ:
	mov temp, temp7			; 7.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_6_STELLEN_KURZ:
	mov temp, temp6			; 6.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_5_STELLEN_KURZ:
	mov temp, temp5			; 5.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_4_STELLEN_KURZ:
	mov temp, temp4			; 4.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_3_STELLEN_KURZ:
	mov temp, temp3			; 3.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_2_STELLEN_KURZ:
	mov temp, temp2			; 2.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_1_STELLEN_KURZ:
	mov temp, temp1			; 1.ZEICHEN (1-er Stelle)	
	rcall LCD_DATA
ret
;######################################################################## 	
;######################################################################## 	
;######################################################################## 	
; formatiert die LCD AUSGABE mit 1000-er Punkt								
; 	Bsp. "00012345 => "___12.345"											
;	INPUT/Output TEMP1														
;	INPUT/Output TEMP2														
;	INPUT/Output TEMP3														
;	INPUT/Output TEMP4														
;	INPUT/Output TEMP5														
;	INPUT/Output TEMP6														
; 	INPUT/Output TEMP8														
; 	INPUT/Output TEMP9														
LCD_FORMAT:
;---------------------------------------------------------------------------
	cpi temp9, '0'
	brne LCD_FORMAT_FERTIG
	mov temp9,temp8
	mov temp8,temp7
	ldi temp7,'.'
;---------------------------------------------------------------------------
	cpi temp9, '0'
	brne LCD_FORMAT_FERTIG
	mov temp9,temp8
	mov temp8,temp7
	mov temp7,temp6
	mov temp6,temp5
	mov temp5,temp4
	ldi temp4,'.'
;---------------------------------------------------------------------------
LCD_FORMAT_FERTIG:
	rcall NULLSTELLENUNTERDRUCKUNG
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
NULLSTELLENUNTERDRUCKUNG:
;---------------------------------------------------------------------------
	mov temp,temp9							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp9,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp9, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp8							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp8,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp8, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp7							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp7,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp7, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp6							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp6,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp6, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp5							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp5,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp5, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp4							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp4,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp4, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp3							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp3,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp3, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp2							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp2,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp2, '_'							; ersetzen		
;---------------------------------------------------------------------------
	mov temp,temp1							; KOPIE			
	rcall NULLSTELLENUNTERDRUCKUNG_TAUSCH	; '.' ==> '0'	
	mov temp1,temp							; KOPIE			
	cpi temp,'0'							; ist '0'		
	brne NULLSTELLENUNTERDRUCKUNG_FERTIG	; nein=>> SPRUNG
	ldi temp1, '_'							; ersetzen		
;---------------------------------------------------------------------------
NULLSTELLENUNTERDRUCKUNG_FERTIG:
	ret
;---------------------------------------------------------------------------
NULLSTELLENUNTERDRUCKUNG_TAUSCH:
	cpi temp,'.'
	breq NULLSTELLENUNTERDRUCKUNG_TAUSCH_w
	ret
NULLSTELLENUNTERDRUCKUNG_TAUSCH_w:
	ldi temp,'0'
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
; STAND: 09.12.2011															
;																			
;	Value: 0...	9.999.999.999												
;																			
;	INPUT: 	temp1	(BYTE1)													
;	 		temp2	(BYTE2)													
;			temp3	(BYTE3)													
;			temp4	(BYTE4)													
;																			
;	OUTPUT:	temp1	(		     1-er Stelle)								
;			temp2	(		    10-er Stelle)								
;			temp3	(          100-er Stelle)								
;			temp4	(        1.000-er Stelle)								
;			temp5	(       10.000-er Stelle)								
;			temp6	(      100.000-er Stelle)								
;			temp7	(    1.000.000-er Stelle)								
;			temp8	(   10.000.000-er Stelle)								
;			temp9	(  100.000.000-er Stelle)								
;			temp	(1.000.000.000-er Stelle)								
; 																			
; rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
; 																			
FUNKTION_HEX_ASC_32:
;---------------------------------------------------------------------------
	clr temp			
FUNKTION_HEX_ASC_109:	; 1.100.000.000
	inc temp
	subi temp1, BYTE1    (1000000000)
	sbci temp2, BYTE2    (1000000000)
	sbci temp3, BYTE3    (1000000000)
	sbci temp4, BYTE4    (1000000000)
	brcc FUNKTION_HEX_ASC_109
	subi temp, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-1000000000)
	sbci temp2, BYTE2   (-1000000000)
	sbci temp3, BYTE3   (-1000000000)
	sbci temp4, BYTE4   (-1000000000)
;---------------------------------------------------------------------------
	clr temp9			
FUNKTION_HEX_ASC_108:	; 100.000.000
	inc temp9
	subi temp1, BYTE1    (100000000)
	sbci temp2, BYTE2    (100000000)
	sbci temp3, BYTE3    (100000000)
	sbci temp4, BYTE4    (100000000)
	brcc FUNKTION_HEX_ASC_108
	subi temp9, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-100000000)
	sbci temp2, BYTE2   (-100000000)
	sbci temp3, BYTE3   (-100000000)
	sbci temp4, BYTE4   (-100000000)
;---------------------------------------------------------------------------
	clr temp8
FUNKTION_HEX_ASC_107:	; 10.000.000
	inc temp8
	subi temp1, BYTE1    (10000000)
	sbci temp2, BYTE2    (10000000)
	sbci temp3, BYTE3    (10000000)
	sbci temp4, BYTE4    (10000000)
	brcc FUNKTION_HEX_ASC_107
	subi temp8, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-10000000)
	sbci temp2, BYTE2   (-10000000)
	sbci temp3, BYTE3   (-10000000)
	sbci temp4, BYTE4   (-10000000)
;---------------------------------------------------------------------------
	clr temp7
FUNKTION_HEX_ASC_106:	; 1.000.000
	inc temp7
	subi temp1, BYTE1    (1000000)
	sbci temp2, BYTE2    (1000000)
	sbci temp3, BYTE3    (1000000)
	brcc FUNKTION_HEX_ASC_106
	subi temp7, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-1000000)
	sbci temp2, BYTE2   (-1000000)
	sbci temp3, BYTE3   (-1000000)
;---------------------------------------------------------------------------
	clr temp6
FUNKTION_HEX_ASC_105:	; 100.000	
	inc temp6
	subi temp1, BYTE1    (100000)
	sbci temp2, BYTE2    (100000)
	sbci temp3, BYTE3    (100000)
	brcc FUNKTION_HEX_ASC_105
	subi temp6, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-100000)
	sbci temp2, BYTE2   (-100000)
	sbci temp3, BYTE3   (-100000)
;---------------------------------------------------------------------------	clr temp
	clr temp5
FUNKTION_HEX_ASC_104:	; 10.000	
	inc temp5
	subi temp1, BYTE1    (10000)
	sbci temp2, BYTE2    (10000)
	sbci temp3, BYTE3    (10000)
	brcc FUNKTION_HEX_ASC_104
	subi temp5, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1  (-10000)
	sbci temp2, BYTE2  (-10000)
	sbci temp3, BYTE3  (-10000)
;---------------------------------------------------------------------------
	clr temp4
FUNKTION_HEX_ASC_103:	; 1.000		
	inc temp4
	subi temp1, low  (1000)
	sbci temp2, HIGH (1000)
	brcc FUNKTION_HEX_ASC_103
	subi temp4, (-48+1)	; HEX->ASC	
	subi temp1, low  (-1000)
	sbci temp2, HIGH (-1000)
;---------------------------------------------------------------------------
	clr temp3
FUNKTION_HEX_ASC_102:	; 100		
	inc temp3
	subi temp1, low  (100)
	sbci temp2, HIGH (100)
	brcc FUNKTION_HEX_ASC_102
	subi temp3, (-48+1)	; HEX->ASC	
	subi temp1, low  (-100)
	sbci temp2, HIGH (-100)
;---------------------------------------------------------------------------
	clr temp2
FUNKTION_HEX_ASC_101:	; 10		
	inc temp2
	subi temp1, low  (10)
	brcc FUNKTION_HEX_ASC_101
	subi temp2, (-48+1)	; HEX->ASC	
	subi temp1, low  (-10)
;---------------------------------------------------------------------------
FUNKTION_HEX_ASC_100:	; 1			
	subi temp1, -48		; HEX->ASC	
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
; INP: temp1																
; OUT: (z.B."FF") 															
;																			
; rcall ANZEIGE_HEX_TEMP1 ; inp: temp1										
;																			
ANZEIGE_HEX_TEMP1:
	; SICHERUNGSKOPIE						
	push temp
	push temp1
	; oberes NIBBLE bearbeiten				
	mov temp,temp1	
	swap temp						; NIBBLES tausch	
	rcall ANZEIGE_HEX_UMWANDLUNG	; INP/OUT: temp		
	rcall LCD_DATA					; ANZEIGE			
	; unteres NIBBLE bearbeiten				
	mov temp,temp1	
	rcall ANZEIGE_HEX_UMWANDLUNG	; INP/OUT: temp		
	rcall LCD_DATA					; ANZEIGE			
	; SICHERUNGSKOPIE wieder herstellen		
	pop temp1
	pop temp
	ret
;-------------------------------------------------------------------------------
ANZEIGE_HEX_UMWANDLUNG:
	; BITMUSTER	
	andi temp,0b00001111
	; vergleich	
	cpi temp,10
	brsh ANZEIGE_HEX_UMWANDLUNG_A_F
ANZEIGE_HEX_UMWANDLUNG_0_9:
	subi temp,-48
	ret
ANZEIGE_HEX_UMWANDLUNG_A_F:
	subi temp,-48-7
	ret
;######################################################################## 
;########################################################################
;######################################################################## 
ANZEIGE_TEXT:
	LPM temp, Z+   			; aus Tabelle laden und Zeiger um 1 erhhen	
	tst temp  			
	brne ANZEIGE_TEXT_w
	ret
ANZEIGE_TEXT_w:
	rcall LCD_DATA			; Anzeige
	rjmp ANZEIGE_TEXT
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
LCD_SPACE:
	ldi temp, ' '		; SPACE
	rcall LCD_DATA	
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
LCD_PUNKT:
	ldi temp, '.'		; PUNKT
	rcall LCD_DATA	
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
LCD_3_PUNKT:
	ldi temp, '.'		; PUNKT
	rcall LCD_DATA	
	rcall LCD_DATA	
	rcall LCD_DATA	
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
LCD_DOPPEL_PUNKT:
	ldi temp, ':'		; DOPPELPUNKT
	rcall LCD_DATA	
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
